package server.ai;

import common.ai.IEntityNode;
import common.entity.Entity;
import common.nbt.NBTTagCompound;
import common.world.World;
import common.world.WorldServer;

public class EntityNode<T extends Entity> implements IEntityNode {
	protected final T entity;
	protected final boolean player;
	protected WorldServer world;
	
	public EntityNode(T entity) {
		this.entity = entity;
		this.player = entity.isPlayer();
		this.world = (WorldServer)entity.worldObj;
	}
	
    public void setWorld(World world) {
        this.world = (WorldServer)world;
    }
	
	public void readNbt(NBTTagCompound tag) {
	}
	
	public void writeNbt(NBTTagCompound tag) {
	}
}
